Name:           perl-POE-Component-SSLify
Version:        1.008
Release:        6%{?dist}
Summary:        Makes using SSL in the world of POE easy!
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-SSLify/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AP/APOCAL/POE-Component-SSLify-%{version}.tar.gz

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle) >= 1.28
BuildRequires:  perl(Module::Build) >= 0.37
BuildRequires:  perl(Net::SSLeay) >= 1.36
BuildRequires:  perl(parent)
BuildRequires:  perl(POE) >= 1.267
BuildRequires:  perl(POE::Component::Client::TCP)
BuildRequires:  perl(POE::Component::Server::TCP)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Task::Weaken) >= 1.03
BuildRequires:  perl(Test::More) >= 0.88

# not automatically picked up
Requires:       perl(Exporter)
Requires:       perl(IO::Handle) >= 1.28
Requires:       perl(POE)
Requires:       perl(Scalar::Util)
Requires:       perl(Symbol)
Requires:       perl(Task::Weaken) >= 1.03

%?perl_default_filter

%description
This component represents the standard way to do SSL in POE.

%prep
%setup -q -n POE-Component-SSLify-%{version}

sed -i '1s~^#!.*perl~#!%{__perl}~' t/*.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}


%check
make test

%files
%doc LICENSE README Changes t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 1.008-4
- Perl 5.16 rebuild

* Thu May 31 2012 Petr Pisar <ppisar@redhat.com> - 1.008-3
- Round Module::Build version to 2 digits

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.008-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 09 2011 Iain Arnell <iarnell@gmail.com> 1.008-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.15-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.15-5
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.15-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.15-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- auto-update to 0.15 (by cpan-spec-update 0.01)
- altered br on perl(Net::SSLeay) (1.17 => 1.30)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- update to 0.14

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.08-2
- rebuild for new perl

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- update to 0.08

* Sun May 06 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- update to 0.07
- add t/ to %%doc
- some spec rework due to perl splittage

* Mon Sep 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.06-1
- update to 0.06

* Sun Sep 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- update to 0.05
- add Changes
- minor spec cleanups...

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-3
- bump for mass rebuild

* Fri Aug 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- bump for build

* Tue Jul 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
